Qt 5.13 | Qt Quick Controls 1 | QML Types | DelayButtonStyle QML Type

Qt 5.13.2 Reference Documentation

# DelayButtonStyle QML Type

Provides custom styling for DelayButton. More...

Import Statement: | import QtQuick.Controls.Styles 1.4
Since: | Qt 5.5

- List of all members, including inherited members

## Properties

- control : DelayButton
- foreground : Component
- progressBarDropShadowColor : color
- progressBarGradient : Gradient

## Detailed Description

You can create a custom DelayButton by replacing the following delegates:

- foreground
- label

## Property Documentation

[read-only] control : DelayButton

The DelayButton that this style is attached to.

foreground : Component

The foreground of the button.

The progress bar is drawn here.

progressBarDropShadowColor : color

The color of the drop shadow under the progress bar.

progressBarGradient : Gradient

The gradient of the progress bar around the button.